| Haskell Hierarchical Libraries (unix package) | Contents | Index

System.Posix.Resource

Portability | non-portable (requires POSIX)
Stability | provisional
Maintainer | libraries@haskell.org

Contents

Resource Limits

Description
POSIX resource support
Synopsis

data ResourceLimit

= ResourceLimitInfinity
| ResourceLimitUnknown
| ResourceLimit Integer

data ResourceLimits = ResourceLimits {

softLimit, hardLimit :: ResourceLimit

}

data Resource

= ResourceCoreFileSize
| ResourceCPUTime
| ResourceDataSize
| ResourceFileSize
| ResourceOpenFiles
| ResourceStackSize
| ResourceTotalMemory

getResourceLimit :: Resource -> IO ResourceLimits
setResourceLimit :: Resource -> ResourceLimits -> IO ()

Resource Limits
data ResourceLimit

Constructors

ResourceLimitInfinity |
ResourceLimitUnknown |
ResourceLimit Integer |

Instances

Eq ResourceLimit

data ResourceLimits

Constructors

ResourceLimits |

softLimit, hardLimit :: ResourceLimit |

Instances

Eq ResourceLimits

data Resource

Constructors

ResourceCoreFileSize |
ResourceCPUTime |
ResourceDataSize |
ResourceFileSize |
ResourceOpenFiles |
ResourceStackSize |
ResourceTotalMemory |

Instances

Eq Resource

getResourceLimit :: Resource -> IO ResourceLimits
setResourceLimit :: Resource -> ResourceLimits -> IO ()
Produced by Haddock version 0.7